Package ru.bitel.bgbilling.modules.npay.server.bean.amount

# Class ModuleAmount

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.npay.server.bean.amount.ModuleAmount

All Implemented Interfaces:
  `ListItem`

Direct Known Subclasses:
  `DialUpModuleAmount`, `InetModuleAmount`, `IPNModuleAmount`, `PhoneModuleAmount`, `VoiceModuleAmount`, `VoipModuleAmount`

public abstract class ModuleAmount extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements ListItem

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `sids`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ModuleAmount()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract long`
  `getDayAmount(Connection con, int contractId, Calendar day)`
  `int`
  `getId()`
  `int`
  `getModuleId()`
  `abstract long`
  `getPeriodAmount(Connection con, int contractId, Calendar from, Calendar to)`
  `String`
  `getSids()`
  `String`
  `getTitle()`
  `void`
  `setId(int id)`
  `void`
  `setModleId(int moduleId)`
  `void`
  `setSids(String sids)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### sids

    protected String sids

- ## Constructor Details

  - ### ModuleAmount

    public ModuleAmount()

- ## Method Details

  - ### getSids

    public String getSids()

  - ### setSids

    public void setSids(String sids)

  - ### getId

    public int getId()
    Specified by:
      `getId` in interface `ListItem`

  - ### setId

    public void setId(int id)

  - ### getModuleId

    public int getModuleId()

  - ### setModleId

    public void setModleId(int moduleId)

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### setTitle

    public void setTitle(String title)

  - ### getDayAmount

    public abstract long getDayAmount(Connection con, int contractId, Calendar day)

  - ### getPeriodAmount

    public abstract long getPeriodAmount(Connection con, int contractId, Calendar from, Calendar to)